/*
 * Copyright (C) 2019  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#include "src/exceptions.hh"

namespace Fred {
namespace Logger {

const char* ServiceNotFound::what() const noexcept
{
    return "service was not found in database";
}

const char* InvalidTimestampFrom::what() const noexcept
{
    return "from is not a date";
}

const char* InvalidTimestampTo::what() const noexcept
{
    return "to is not a date";
}

const char* InvalidTimestampRange::what() const noexcept
{
    return "invalid range of dates";
}

const char* InvalidCountLimit::what() const noexcept
{
    return "count_limit has to be a positive number";
}

const char* ListLogEntriesException::what() const noexcept
{
    return "failed to list log entries due to an unknown exception";
}

const char* LogEntryDoesNotExist::what() const noexcept
{
    return "log entry does not exist";
}

const char* LogEntryIdOutOfRange::what() const noexcept
{
    return "log_entry_id is out of range";
}

const char* InvalidLogEntryIdent::what() const noexcept
{
    return "log entry ident has a bad format";
}

} // namespace Fred::Logger
} // namespace Fred
