/*
 * Copyright (C) 2019  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef PROTO_WRAP_HH_666191D801524FF88F3FA9E2523BF0DF
#define PROTO_WRAP_HH_666191D801524FF88F3FA9E2523BF0DF

#include "src/exceptions.hh"
#include "src/get_log_entry.hh"
#include "src/list_log_entries.hh"

#include "fred_api/logger/service_search_logger_history_grpc.pb.h"

namespace Fred {
namespace Logger {

void proto_wrap(const ListLogEntriesReply& _src, Api::ListLogEntriesReply* _dst);

void proto_wrap(const ServiceNotFound&, Api::ListLogEntriesReply* _dst);

void proto_wrap(const InvalidTimestampFrom&, Api::ListLogEntriesReply* _dst);

void proto_wrap(const InvalidTimestampTo&, Api::ListLogEntriesReply* _dst);

void proto_wrap(const InvalidTimestampRange&, Api::ListLogEntriesReply* _dst);

void proto_wrap(const InvalidCountLimit&, Api::ListLogEntriesReply* _dst);

void proto_wrap(const GetLogEntryInfoReply& _src, Api::GetLogEntryInfoReply* _dst);

void proto_wrap(const LogEntryDoesNotExist&, Api::GetLogEntryInfoReply* _dst);

} // namespace Fred::Logger
} // namespace Fred

#endif
